diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 35b3772..b7610ef 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -73943,8 +73943,8 @@ Plot(): Exports == Implementation where
 --% parametric plots
 
     plot: (F -> F,F -> F,R) -> %
-      ++ plot(f,g,a..b) plots the parametric curve \spad{x = f(t)}, \spad{y = g(t)}
-      ++ as t ranges over the interval \spad{[a,b]}.
+      ++ plot(f,g,a..b) plots the parametric curve \spad{x = f(t)},
+      ++ \spad{y = g(t)} as t ranges over the interval \spad{[a,b]}.
     plot: (F -> F,F -> F,R,R,R) -> %
       ++ plot(f,g,a..b,c..d,e..f) plots the parametric curve \spad{x = f(t)},
       ++ \spad{y = g(t)} as t ranges over the interval \spad{[a,b]}; x-range
@@ -73954,23 +73954,25 @@ Plot(): Exports == Implementation where
 
     pointPlot: (F -> P,R) -> %
       ++ pointPlot(t +-> (f(t),g(t)),a..b) plots the parametric curve
-      ++ \spad{x = f(t)}, \spad{y = g(t)} as t ranges over the interval \spad{[a,b]}.
+      ++ \spad{x = f(t)}, \spad{y = g(t)} as t ranges over the interval
+      ++ \spad{[a,b]}.
     pointPlot: (F -> P,R,R,R) -> %
       ++ pointPlot(t +-> (f(t),g(t)),a..b,c..d,e..f) plots the parametric
-      ++ curve \spad{x = f(t)}, \spad{y = g(t)} as t ranges over the interval \spad{[a,b]};
-      ++ x-range of \spad{[c,d]} and y-range of \spad{[e,f]} are noted in Plot object.
+      ++ curve \spad{x = f(t)}, \spad{y = g(t)} as t ranges over the interval
+      ++ \spad{[a,b]}; x-range of \spad{[c,d]} and y-range of \spad{[e,f]}
+      ++ are noted in Plot object.
 
 --% polar plots
 
     plotPolar: (F -> F,R) -> %
       ++ plotPolar(f,a..b) plots the polar curve \spad{r = f(theta)} as
       ++ theta ranges over the interval \spad{[a,b]}; this is the same as
-      ++ the parametric curve \spad{x = f(t) * cos(t)}, \spad{y = f(t) * sin(t)}.
+      ++ the parametric curve \spad{x = f(t)*cos(t)}, \spad{y = f(t)*sin(t)}.
 
     plotPolar: (F -> F) -> %
       ++ plotPolar(f) plots the polar curve \spad{r = f(theta)} as theta
       ++ ranges over the interval \spad{[0,2*%pi]}; this is the same as
-      ++ the parametric curve \spad{x = f(t) * cos(t)}, \spad{y = f(t) * sin(t)}.
+      ++ the parametric curve \spad{x = f(t)*cos(t)}, \spad{y = f(t)*sin(t)}.
 
     plot: (%,R) -> %              -- change the range
 	++ plot(x,r) \undocumented
@@ -74360,7 +74362,7 @@ Plot(): Exports == Implementation where
       r
 
     plot(f:F -> F,xRange:R) ==
-      p := basicPlot(pt(#1,myTrap(f,#1)),xRange)
+      p := basicPlot((u1:F):P +-> pt(u1,myTrap(f,u1)),xRange)
       r := p.ranges
       NUMFUNEVALS := minPoints()
       if adaptive? then
@@ -74374,7 +74376,7 @@ Plot(): Exports == Implementation where
       p
 
     plot(f:F -> F,g:F -> F,tRange:R) ==
-      p := basicPlot(pt(myTrap(f,#1),myTrap(g,#1)),tRange)
+      p := basicPlot((z1:F):P +-> pt(myTrap(f,z1),myTrap(g,z1)),tRange)
       r := p.ranges
       NUMFUNEVALS := minPoints()
       if adaptive? then
@@ -74403,7 +74405,8 @@ Plot(): Exports == Implementation where
 
     plot(l:L(F -> F),xRange:R) ==
       if null l then error "empty list of functions"
-      t: L C := [ basicPlot(pt(#1,myTrap(f,#1)),xRange) for f in l ]
+      t: L C := 
+        [ basicPlot((z1:F):P +-> pt(z1,myTrap(f,z1)),xRange) for f in l ]
       yRange := join(t,2)
       NUMFUNEVALS := # l * minPoints()
       if adaptive? then
@@ -74419,7 +74422,8 @@ Plot(): Exports == Implementation where
       p
 
     plotPolar(f,thetaRange) ==
-      plot(f(#1) * cos(#1),f(#1) * sin(#1),thetaRange)
+      plot((u1:F):F +-> f(u1) * cos(u1),
+           (v1:F):F +-> f(v1) * sin(v1),thetaRange)
 
     plotPolar f == plotPolar(f,segment(0,2*pi()))
 
diff --git a/changelog b/changelog
index d038e82..2d2ad74 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090515 tpd src/axiom-website/patches.html 20090515.03.tpd.patch
+20090515 tpd books/bookvol10.3 PLOT +-> conversion
 20090515 tpd src/axiom-website/patches.html 20090515.02.tpd.patch
 20090515 tpd books/bookvol10.4 ODEEF +-> conversion
 20090515 tpd src/axiom-website/patches.html 20090515.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 29eeb34..3d9cd3c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1308,5 +1308,7 @@ bookvol10.4 LODEEF +-> conversion<br/>
 bookvol10.3 HACKPI, PRTITION +-> conversion<br/>
 <a href="patches/20090515.02.tpd.patch">20090515.02.tpd.patch</a>
 bookvol10.4 ODEEF +-> conversion<br/>
+<a href="patches/20090515.03.tpd.patch">20090515.03.tpd.patch</a>
+bookvol10.3 PLOT +-> conversion<br/>
  </body>
 </html>
